Subject: RE: re-submit2 [ANNOUNCEMENT] NET: usb: sierra_net.c driver

From: Elina Pasheva <[email-masked]>
Date: Wed, 31 Mar 2010 13:58:28 -0700

On Tue, 2010-03-30 at 23:21 -0700, Rory Filer wrote:
> -----Original Message-----
> > >
> > > Applied, thanks.
> > 
> > Nevermind, reverted, it doesn't even build.
> > 
> > drivers/net/usb/sierra_net.c: In function 'check_ethip_packet':
> > drivers/net/usb/sierra_net.c:221:3: error: implicit declaration of
> > function 'deverr'
> > 
> > Really, this should never ever happen, and there is simply
> > no excuse at all for this.
> 
> Well actually there is an excuse, but I'm sure you don't want to
> know what it is. 

The patch was posted saying it had only been tested on 2.6.33.1. 
There was failure-to-build and boot problems  beyond our control with 2.6.34-rc2.
Now that 2.6.34-rc3 is available (and we are able to build and boot on our Ubuntu platform)
I will modify the driver to reflect the fact that deverr is no longer in existence
and is replaced by another function. I will submit the modified driver tested on 2.6.34-rc3 shortly.
Perhaps we should have waited until the build problem was fixed.
Regards,
Elina

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html